﻿using System.Collections.Generic;

namespace Model.Cartography
{
    public interface IMapObjectBlueprint
    {
        public /* Vector2 */ void GetSize();
        public IEnumerable<NavigableCell> GetNavigableCells();
        public bool CanPlace(Map m, Placement p);
        public void Place(Map m, Placement p);
    }
}
