﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Model.Cartography;

namespace Model.Common
{
    public interface IBuilder
    {
        public bool CanBuild(IMapObjectBlueprint blueprint, Placement placement);
        public (IDisplayable, IInspectable) Build(IMapObjectBlueprint blueprint, Placement placement);
    }
}
