using System.Collections.Generic;

using Model.Cartography;

namespace Model.Landscape.Blueprints
{
    public abstract class ObjectBlueprint : IMapObjectBlueprint
    {
        public /* Vector2 */ int Size;
        public int ConstuctionCost;

        public /* Vector2 */ void GetSize() {
            // return Size;
        }

        public IEnumerable<NavigableCell> GetNavigableCells() => null;
        public bool CanPlace(Map m, Placement p) => true;
        public void Place(Map m, Placement p) { }
    }
}
