using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "BuildingConfig", menuName = "ScriptableObjects/BuildingConfig", order = 1)]
public class BuildingConfig : ScriptableObject
{
    public float dummyValue1;
    public int dummyValue2;
    public string dummyValue3;
    public Sprite image;
    public BuildingData data;

    public object GetBlueprint() {
        return data.CreateBlueprint();
    }
}
